Loading...
Searching...
No Matches
gtsam::ConstructorTraversalData< BAYESTREE, GRAPH, ETREE_NODE > Struct Template Reference

## Public Member Functions

| ConstructorTraversalData (ConstructorTraversalData *_parentData)

## Static Public Member Functions

static ConstructorTraversalData | ConstructorTraversalVisitorPre (const boost::shared_ptr< ETREE_NODE > &node, ConstructorTraversalData &parentData)
static void | ConstructorTraversalVisitorPostAlg2 (const boost::shared_ptr< ETREE_NODE > &ETreeNode, const ConstructorTraversalData &myData)

## Public Attributes

ConstructorTraversalData *const | parentData
sharedNode | junctionTreeNode
FastVector< SymbolicConditional::shared_ptr > | childSymbolicConditionals
FastVector< SymbolicFactor::shared_ptr > | childSymbolicFactors

## Public Types

typedef JunctionTree< BAYESTREE, GRAPH >::Node | Node
typedef JunctionTree< BAYESTREE, GRAPH >::sharedNode | sharedNode

## Classes

class | SymbolicFactors

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/inference/JunctionTree-inst.h